Subject: [core] Support for coap-06 in wireshark CoAP dissector

From: Olaf Bergmann <[email-masked]>
Date: Mon, 13 Jun 2011 19:41:23 +0200

Hi,

while debugging some CoAP stuff, I felt it convenient to have a
wireshark dissector for the latest draft version coap-06. (Yet only the
core protocol, block + observe are not yet in sync with the current
draft versions.)

You can find a patch for packet-coap.c against revision 37662
(i.e. current as of today) under the following address:
<http://www.informatik.uni-bremen.de/~bergmann/software/coap06.patch>

I did not test it a lot as the changes are straight forward. I hope it
is useful anyway.

Gruesse,
Olaf